'Nome       : DocCt.sql
'Tipo       : SQL
'Data       : 2003/06/26
'Versao     : 1.0
'Descricao  : Documentos por conta

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0   2003/??/?? --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=2
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")

Dados a listar [Cmd]=DocCt=+
+SELECT * FROM EncMst +
+WHERE [Tdoc$] IN('{Opc_Tdoc}') +
+AND [CtEnt$] BETWEEN '{Opc_Ct.Ini}' AND '{Opc_Ct.Fim}' +
+AND Dtl BETWEEN {Opc_Dtl.Ini} AND {Opc_Dtl.Fim} +
+ORDER BY [CtEnt$], [Ndoc$]


Dados a listar [Cmd]=DocPen=+
+SELECT * FROM EncMst +
+WHERE [Tdoc$] IN('{Opc_Tdoc}') AND [SitDoc$] = '0' +
+AND [CtEnt$] BETWEEN '{Opc_Ct.Ini}' AND '{Opc_Ct.Fim}' +
+AND Dtl BETWEEN {Opc_Dtl.Ini} AND {Opc_Dtl.Fim} +
+ORDER BY [CtEnt$], [Ndoc$]

##

+AND [Ndoc$] BETWEEN '{Opc_Ndoc.Ini}' AND '{Opc_Ndoc.Fim}' +


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=DocCt,Documentos por Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=DocCt_Cab
Listar linhas               [FxLIN]=DocCt_Lin
Listar fim                  [FxFIM]=DocCt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=DocCt
Subtotalizadores           [SQLSbt]=CtEnt$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=DocPen,Documentos Pendentes

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=DocCt_Cab
Listar linhas               [FxLIN]=DocCt_Lin
Listar fim                  [FxFIM]=DocCt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=DocPen
Subtotalizadores           [SQLSbt]=CtEnt$
##


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
Tit080   = TxTit$("TT=10CPI, LD, PT=40C",Memtxt$(1))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C",Memtxt$(1))
DataExt  = FrmVal$(Sig_DtHoje,45,0)


'Campos
ctCod    = SqlCmp$("CtEnt$")
ctNom    = SqlCmp$("CtEnt$")

DocIde   = SqlCmp$("Tdoc$")+" "+FrmNdo$("46",SqlCmp$("Tdoc$"),SqlCmp$("Ndoc$"))
DocDt    = FrmDt$("",SqlCmp("Dtl"))

vDocV1   = FrmNum$( 10.2,SqlCmp("ValTot"))
vDocV2   = FrmNum$( 10.2, val(TxIde$(SqlCmp$("Opc$"),"TotMoeAlt")))

tDocN    = FrmNum$(  5.0,TotCnt("vDocV1",0))
tDocV1   = FrmNum$( 10.2,total(vDocV1,0))
tDocV2   = FrmNum$( 10.2,total(vDocV2,0))

sDocN    = FrmNum$(  5.0,TotCnt("vDocV1",1))
sDocV1   = FrmNum$( 10.2,total(vDocV1,1))
sDocV2   = FrmNum$( 10.2,total(vDocV2,1))
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'---------------------------------------------------------->'Comentario (61)
'------------------------------------------------->'Comentario (52)
'------------------------------------->'Comentario (40)

SUB FxIni 'funcao de inicializacao
end sub


SUB FxFim 'funcao de finalizacao
end sub


SUB Lst_AJT 'ajuste
end sub


'- Documentos por Conta --------------------------------------------------------
SUB DocCt_Cab 'cabecalho
FxDiv LstIde,10CPI,0
'?@Tit080                                                                        #
print TxTit$("TT=10CPI, LD, PT=40C, TL=10CPI","Resumo de Artigos")
?Data: @DataExt                                                   Folha No: @Pag#
?================================================================================
?   Documento            Data                   Valor 1               Valor 2
?================================================================================
end sub


SUB DocCt_LinTit1 'titulo 1 - conta
tmp=CntLin("MIN",5)                              'minimo de linhas
tmp=CntLin("INC",1)                              'contar linha
'print tab(5) "Conta: " SbtInf$("ACT",1)          'identificar grupo

ct$  = SbtInf$("ACT",1)                          'conta
res  = CtaContaLer(ct$)                          'ler conta
idg$ = ct$ + " - " + Cta_Mst_Nome$               'identificacao do grupo

print tab(5) "Conta: " idg$                      'identificar grupo
end sub


SUB DocCt_Lin 'linha de documento
?@DocIde              @DocDt               @vDocV1               @vDocV2        #
end sub


SUB DocCt_LinSbt1 'subtotal 1 - conta
?              Total da conta: @sDocN      @sDocV1               @sDocV2        #
print

tmp=CntLin("INC",1)                              'contar linhas
x=TotLpz(1)                                      'limpar totais
end sub


Sub DocCt_Fim
?================================================================================
?                      Totais: @tDocN      @tDocV1               @tDocV2        #
?================================================================================
FxDiv LstPer,SP
end sub

##


